# Generated by Django 3.1.6 on 2021-09-21 18:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Dog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='created_at', verbose_name='created_at')),
                ('modified_at', models.DateTimeField(auto_now=True, help_text='modified_at', verbose_name='modified_at')),
                ('first_name', models.CharField(help_text='first_name', max_length=255, unique=True, verbose_name='first_name')),
                ('last_name', models.CharField(blank=True, help_text='last_name', max_length=255, null=True, verbose_name='last_name')),
            ],
            options={
                'verbose_name': 'dog',
                'verbose_name_plural': 'dogs',
                'db_table': 'happydogs_dog',
            },
        ),
        migrations.CreateModel(
            name='DogVisit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='created_at', verbose_name='created_at')),
                ('modified_at', models.DateTimeField(auto_now=True, help_text='modified_at', verbose_name='modified_at')),
                ('start_date', models.DateField(help_text='start_date', verbose_name='start_date')),
                ('end_date', models.DateField(help_text='end_date', verbose_name='end_date')),
                ('dog', models.ForeignKey(help_text='dog', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dogvisit', to='happydogs.dog', verbose_name='dog')),
            ],
            options={
                'verbose_name': 'dogvisit',
                'verbose_name_plural': 'dogvisits',
                'db_table': 'happydogs_dogvisit',
            },
        ),
    ]
